### Method

# Adw TabView get_pages

#### Declaration [src]

    GtkSelectionModel*
    adw_tab_view_get_pages (
      AdwTabView* self
    )

#### Description [src]

Returns a `GListModel` that contains the pages of `self`.

This can be used to keep an up-to-date view.

The model implements `GtkSectionModel`, with one section for pinned pages and one for the rest of the pages.

It also implements `GtkSelectionModel` and can be used to track and change the selected page.

Gets property | `Adw.TabView:pages`

#### Return value

Type: `GtkSelectionModel`

A `GtkSelectionModel` for the pages of `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.